## NAME

t.rename.py - Renames a space time dataset

## KEYWORDS

temporal, map management, rename, time

## SYNOPSIS

t.rename.py
t.rename.py --help
t.rename.py input=name output=name [type=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time dataset
output=name [required]
  Name of the output space time dataset
type=name
  Type of the input space time dataset
  Options: strds, stvds, str3ds
  Default: strds

## DESCRIPTION

This module renames space time datasets of different types (STRDS, STVDS, STR3DS) and updates the space time dataset register entries of the registered maps.

## NOTES

Renaming of space time datasets works only for SQLite based temporal databases.

## EXAMPLE

A new vector space time dataset will be created, renamed and in the end removed

    #Create new and empty STVDS
    t.create type=stvds output=toberenamed semantictype=mean \
      title="Example to rename" \
      description="This is an example just to show how rename"

    t.rename input=toberenamed output=newname type=stvds

    t.remove input=newname type=stvds

## SEE ALSO

t.create, t.support, t.register

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: t.rename source code (history)

Accessed: Sat Jun 18 04:32:26 2022

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.0 Reference Manual